﻿@using Jumbula.Common.Helper
@model MultipleRegisterProgramItemModel

@{
    string notOpenMessage = string.Empty;
    var isCanceled = Model.ProgramEMStatus.Equals("canceled", StringComparison.OrdinalIgnoreCase);
    var isFull = Model.ProgramEMStatus.Equals("full", StringComparison.OrdinalIgnoreCase);

    var isEnabled = !(isCanceled || isFull);

    if (isCanceled)
    {
        notOpenMessage = "Class is canceled";
    }
    else if (isFull)
    {
        notOpenMessage = "Class is full";
    }
}

@{
    var isMultipleTuition = (Model.Tuitions.Count() > 1);
}


@foreach (var tuition in Model.Tuitions)
{

    var checkStatus = tuition.Checked ? "jbi-radio-checked" : "jbi-radio";

    var tuitionTitle = string.Empty;

    if (tuition.EarlyBirdPrice.HasValue)
    {
        tuitionTitle = string.Format("{0}: <strike>{1}</strike> {2}", tuition.Title, Html.FormatCurrencyWithPenny(tuition.Price), CurrencyHelper.FormatCurrencyWithPenny(tuition.EarlyBirdPrice , Model.Currency));
    }
    else
    {
        tuitionTitle = string.Format(" {0}: {1}", tuition.Title, Html.FormatCurrencyWithPenny(tuition.Price));
    }

    <div class="item-tuition">
        @if (isMultipleTuition)
        {
            if (isEnabled)
            {
                <span data-tuition-id="@tuition.Id" class="tuition-items jb-radio-btn @checkStatus">
                    @Html.Raw(tuitionTitle)
                </span>
            }
            else
            {
                <span data-tuition-id="@tuition.Id" data-toggle="tooltip" title="@notOpenMessage" class="tuition-items jb-radio-btn @checkStatus disabled">
                    @Html.Raw(tuitionTitle)
                </span>
            }
        }
        else
        {
            <label>@tuitionTitle</label>
        }
    </div>


    <div data-tuition-id="@tuition.Id" class="charge-container tuition-indent" style="display: @(tuition.Checked ? "inline": "none")">

        @foreach (var charge in Model.Charges)
        {
            var chargeCheckStatus = (tuition.Checked && charge.Checked) ? "jbi-checked-box" : "jbi-check-box";

            <span data-charge-id="@charge.Id" class="charge-items jb-checkbox @chargeCheckStatus @(charge.IsMandatory? "disabled": "")">
                @string.Format("{0}: {1}", charge.Title, Html.FormatCurrencyWithPenny(charge.Price))
            </span>
            <br />
        }
    </div>
}
